OptionPaneUI (Java SE 14 & JDK 14)
Description: declaration: module: java.desktop, package: javax.swing.plaf, class: OptionPaneUI
Keywords: javax.swing.plaf.OptionPaneUI class

Module java.desktop
Package javax.swing.plaf

# Class OptionPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.OptionPaneUI

Direct Known Subclasses:
  `BasicOptionPaneUI`, `MultiOptionPaneUI`

    public abstract class OptionPaneUI
    extends ComponentUI

Pluggable look and feel interface for JOptionPane.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `OptionPaneUI()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `abstract boolean` | `containsCustomComponents​(JOptionPane op)` | Returns true if the user has supplied instances of Component for either the options or message.
  `abstract void` | `selectInitialValue​(JOptionPane op)` | Requests the component representing the default value to have focus.

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OptionPaneUI

    public OptionPaneUI()

- ## Method Details

  - ### selectInitialValue

    public abstract void selectInitialValue​(JOptionPane op)
    Requests the component representing the default value to have focus.
    Parameters:
      `op` - a `JOptionPane`

  - ### containsCustomComponents

    public abstract boolean containsCustomComponents​(JOptionPane op)
    Returns true if the user has supplied instances of Component for either the options or message.
    Parameters:
      `op` - a `JOptionPane`
    Returns:
      `true` if the given `JOptionPane` contains user created `Component`s